import basant.grab.kitaab as grab
from basant.shared import TagHelper
import basant.build.kitaab as build


def get_raw_files():
    all_files = TagHelper.getAllFiles()
    filtered_files = grab.kitaab.filterFiles(all_files)
    grab.kitaab.copyFiles(filtered_files)
    print("Censoring files...")
    grab.kitaab.censorFiles()


def build_website():
    print('building websites')
    build.kitaab.generate_website()


def main():
    # get_raw_files()
    build_website()


if __name__ == '__main__':
    main()
